<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 3.2 Final//EN">
<html>
<head>
<title>/home/tylerwbrown/Code/Personal/magical-joe-haskell/src/Fib.hs</title>
</head>
<head>
<link type='text/css' rel='stylesheet' href='liquid.css' />
</head>

<body>
<hr>
Put mouse over identifiers to see inferred types
<pre><span class=hs-linenum> 1: </span><a class=annot href="#"><span class=annottext>GHC.Types.Module</span><span class='hs-keyword'>module</span></a> <span class='hs-conid'>Fib</span> <span class='hs-keyword'>where</span>
<span class=hs-linenum> 2: </span><span class='hs-keyword'>import</span> <span class='hs-conid'>General</span>
<span class=hs-linenum> 3: </span>
<span class=hs-linenum> 4: </span><span class='hs-comment'>-- fib :: Int -&gt; [Int]</span>
<span class=hs-linenum> 5: </span><span class='hs-comment'>-- fib n = take n $ seq 0 1</span>
<span class=hs-linenum> 6: </span><span class='hs-comment'>--  where seq a b = a : seq b (a + b)</span>
<span class=hs-linenum> 7: </span><span class=hs-error><a class=annot href="#"><span class=annottext>[GHC.Integer.Type.Integer]</span><span class='hs-definition'>fib</span></a></span> <span class='hs-keyglyph'>=</span> <a class=annot href="#"><span class=annottext>{lq_tmp$x##258 : [{lq_tmp$x##269 : GHC.Integer.Type.Integer^"lq_tmp$x##268" | $k_##267[lq_tmp$x##262:=lq_anf$##7205759403792810555##d4pt][VV##266:=lq_tmp$x##269][lq_tmp$x##263:=lq_anf$##7205759403792810558##d4pw]}] | len lq_tmp$x##258 == 1 + len lq_anf$##7205759403792810558##d4pw
                                                                                                                                                                                                                         &amp;&amp; tail lq_tmp$x##258 == lq_anf$##7205759403792810558##d4pw
                                                                                                                                                                                                                         &amp;&amp; head lq_tmp$x##258 == lq_anf$##7205759403792810555##d4pt}</span><span class='hs-keyglyph'>[</span></a><span class='hs-num'>0</span><span class='hs-layout'>,</span> <span class='hs-num'>1</span><span class='hs-keyglyph'>]</span> <span class='hs-varop'>++</span> <a class=annot href="#"><span class=annottext>lq_tmp$x##291:GHC.Integer.Type.Integer -&gt; lq_tmp$x##292:GHC.Integer.Type.Integer -&gt; {lq_tmp$x##294 : GHC.Integer.Type.Integer^"lq_tmp$x##293" | lq_tmp$x##294 == lq_tmp$x##291 + lq_tmp$x##292}</span><span class='hs-varid'>zipWith</span></a> <span class='hs-layout'>(</span><span class='hs-varop'>+</span><span class='hs-layout'>)</span> <span class='hs-varid'>fib</span> <span class='hs-layout'>(</span><span class=hs-error><a class=annot href="#"><span class=annottext>{lq_tmp$x##305 : [{lq_tmp$x##314 : GHC.Integer.Type.Integer^"lq_tmp$x##313" | $k_##312[VV##311:=lq_tmp$x##314][lq_tmp$x##308:=Fib.fib]}] | len lq_tmp$x##305 == len Fib.fib - 1
                                                                                                                                           &amp;&amp; lq_tmp$x##305 == tail Fib.fib}</span><span class='hs-varid'>tail</span></a></span><span class=hs-error> </span><span class=hs-error><span class='hs-varid'>fib</span></span><span class='hs-layout'>)</span>
<span class=hs-linenum> 8: </span>
<span class=hs-linenum> 9: </span>
<span class=hs-linenum>10: </span><span class='hs-definition'>add</span> <span class='hs-keyglyph'>::</span> <span class='hs-conid'>Int</span> <span class='hs-keyglyph'>-&gt;</span> <span class='hs-conid'>Int</span> <span class='hs-keyglyph'>-&gt;</span> <span class='hs-conid'>Int</span>
<span class=hs-linenum>11: </span><a class=annot href="#"><span class=annottext>lq_tmp$x##445:GHC.Types.Int -&gt; lq_tmp$x##446:GHC.Types.Int -&gt; GHC.Types.Int</span><span class='hs-definition'>add</span></a> <a class=annot href="#"><span class=annottext>GHC.Types.Int</span><span class='hs-varid'>x</span></a> <span class='hs-num'>7</span> <span class='hs-keyglyph'>=</span> <span class='hs-num'>17</span>
<span class=hs-linenum>12: </span><span class='hs-definition'>add</span> <span class='hs-num'>0</span> <span class='hs-sel'>_y</span> <span class='hs-keyglyph'>=</span> <span class='hs-num'>24</span>
<span class=hs-linenum>13: </span><span class='hs-definition'>add</span> <span class='hs-varid'>x</span> <span class='hs-varid'>y</span> <span class='hs-keyglyph'>=</span> <a class=annot href="#"><span class=annottext>{lq_tmp$x##499 : GHC.Types.Int^"lq_tmp$x##102" | lq_tmp$x##499 == ds_d4pk}</span><span class='hs-varid'>x</span></a> <a class=annot href="#"><span class=annottext>lq_tmp$x##492:GHC.Types.Int -&gt; lq_tmp$x##493:GHC.Types.Int -&gt; {lq_tmp$x##495 : GHC.Types.Int^"lq_tmp$x##494" | lq_tmp$x##495 == lq_tmp$x##492 + lq_tmp$x##493}</span><span class='hs-varop'>+</span></a> <span class='hs-varid'>y</span>
<span class=hs-linenum>14: </span>
</pre>
</body>
</html>